package com.yihu.wlyy.entity.consult;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 病友圈
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_consult_communication")
public class ConsultCommunication extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 2631720251475612892L;

	// 咨询标识
	private String consult;
	// 咨询患者标识
	private String patient;
	// 患者姓名
	private String name;
	// 性别：1男，2女
//	private int sex;
	// 患者头像
	private String photo;
	// 问题标题
	private String title;
	// 问题描述
	private String content;
	// 图片URL，多图以逗号分隔
	private String images;
	// 疾病类型，关联wlyy_disease表code
	private String disease;
	// 疾病类型名称
	private String diseaseName;
	// 回复数量
	private Integer amount;
	// 未读数量
	private Integer unread;
	// 咨询时间
	private Date czrq;
	// 作废标识：1正常，0作废
	private String del;

	public String getConsult() {
		return consult;
	}

	public void setConsult(String consult) {
		this.consult = consult;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

//	public int getSex() {
//		return sex;
//	}
//
//	public void setSex(int sex) {
//		this.sex = sex;
//	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getImages() {
		return images;
	}

	public void setImages(String images) {
		this.images = images;
	}

	public String getDisease() {
		return disease;
	}

	public void setDisease(String disease) {
		this.disease = disease;
	}

	@Column(name = "disease_name")
	public String getDiseaseName() {
		return diseaseName;
	}

	public void setDiseaseName(String diseaseName) {
		this.diseaseName = diseaseName;
	}

	public Integer getAmount() {
		return amount;
	}

	public void setAmount(Integer amount) {
		this.amount = amount;
	}

	public Integer getUnread() {
		return unread;
	}

	public void setUnread(Integer unread) {
		this.unread = unread;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
